/* Author: Vanessa Chan
** Author URI: vanessachan.ca
** 
*/
:root {
    --primary-text: black;
    --secondary-text:;
    --accent-1: #0d3858; /* Dark blue*/
    --accent-2: #1fb6c6; /* Bright teal */
    --accent-3: #cceeff; /* Light blue */
    --accent-4: #0B5960; /* Dark teal */
    --accent-5: #FFE66D; /* Bright yellow */
    --accent-6: #F8C030; /* Dark gold */
    --accent-7: #f2bac9; /* Light Pink*/
    --growth:#aad69d;
    --compassion:#f6a9d2;
    --joy:#ffffba;
}
body {
    background-color: white;
}
/* Text styling*/
h1, h2, h3, h4, h5, h6, p, a , ol, ul {
    font-family: 'Open Sans', sans-serif;
}
h1 {
    color: var(--accent-1);
    font-weight: bolder;
    font-size: 8vw;
    text-align: left;
    line-height: 0%;
}
h2 {
    font-weight: bold;
    font-size: 3vw;
}
h3 {
    font-weight: bolder;
    font-size: 2vw;
}
p, a, ol, ul {
    color: var(--primary-text);
    font-size: 1.5vw;
    text-align: left;
}
p.header {
    color:var(--primary-text);
    font-size: 3vw;
}
ul {
    list-style-position: inside;
    padding-left: 2%;
}

/* Link styling*/
a:link{
    color:var(--accent-1);
    text-decoration: none;
}
a:visited{
    color: var(--accent-7);
    text-decoration: none;
}
a:hover{
    color: var(--accent-2);
    text-decoration: underline;
}
a:active{
    color: var(--accent-2);
    text-decoration: underline;
}

/*Button styling*/
.button-primary:link, .button-primary:visited {
    background-color: var(--accent-2);
    color: var(--accent-1);
    padding: 1.5% 2%;
    vertical-align: top;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    border-radius: 5px;
    margin: 2px;
    height: 45%;
}
.button-primary:hover, .button-primary:active {
    background-color: var(--accent-5);
}
.button-secondary:link, .button-secondary:visited {
    background-color: #ffffff50;
    color: var(--accent-1);
    border: 2px solid white;
    padding: 1.5% 2%;
    text-align: center;
    display: inline-block;
    text-decoration: none;
    border-radius: 3px;
    margin: 2px;
    vertical-align: top;
    height: 40%;
}
.button-secondary:hover, .button-secondary:active {
    background-color: white;
    text-decoration: none;
}

/*Containers*/
div {
    width: 100%;
    border-radius: 10px;
    padding: 1%;
    overflow:hidden;
}

.header-container {
    background-image: url("../../images/header-image.png");
    background-color: var(--accent-3);
    background-blend-mode: overlay;
    background-repeat: no-repeat;
    background-position: center;
    display: grid;
    grid-template-columns: 20% auto;
    width:98%;
    overflow: hidden;
    align-self: center;
    column-gap: 1.5%;
    padding-right: 1.5%;
}

/* Values Section Containers*/
.values-container {
    background-color:  var(--accent-3);
    display: grid;
    grid-template-columns: 30% 30% 30%;
    column-gap: 3.5%;
    width:98%;
    height: 100%;
    overflow: hidden;
    align-items: center;
}
.values {
    grid-column: 1 / span 3;
}
.growth, .compassion, .joy {
    grid-row: 2 / span 2;
    padding: 5%;
    margin: 1%;
    align-self: start;
    height: 90%;
}